freeslot(
"SPR_TERN",
"S_TENRING",
"MT_TENRING"
)

states[S_TENRING] = {
	sprite = SPR_TERN,
	frame = FF_ANIMATE,
	tics = -1,
	var1 = 7,
	var2 = 3
}

mobjinfo[MT_TENRING] = {
		//$Name Ten Ring
		//$Sprite TERNA0
		//$Category Online+ Custom Objects
        doomednum = 3004,
        spawnstate = S_TENRING,
        spawnhealth = 1,
		radius = 16*FRACUNIT,
        height = 24*FRACUNIT,
        dispoffset = 0,
        flags = MF_SLIDEME|MF_SPECIAL|MF_NOGRAVITY|MF_NOCLIPHEIGHT
}

/*
addHook("TouchSpecial", function(special, toucher)
	S_StartSound(special.mo, sfx_itemup, toucher.player)
	P_GivePlayerRings(toucher.player, 10)
	if (rawget(_G, "khBlast")) == true
		if toucher.player.kh then
			toucher.player.kh.itempickuptext = "10 Rings"
			toucher.player.kh.itempickuptimer = TICRATE * 6
		end
	end
end, MT_TENRING)
*/

addHook("TouchSpecial", function(special, toucher)
	if (rawget(_G, "khBlast")) == true
		if special.valid and toucher.valid and toucher.player then
		local p = toucher.player
		if not p.powers[pw_super] then P_GivePlayerRings(p, 10) end
			if p.kh.rp < p.kh.maxRP then
				p.kh.rpcharge = $ + 10
				if p.kh.rpcharge == 5 then
					p.kh.rpcharge = 0
					p.kh.rp = $ + 10
				end
			end
			S_StartSound(special.mo, sfx_itemup, toucher.player)
			if (mapheaderinfo[gamemap].typeoflevel & TOL_NIGHTS) then P_DoNightsScore(p) end
			P_KillMobj(special, toucher, toucher)
			toucher.player.kh.itempickuptext = "10 Rings"
			toucher.player.kh.itempickuptimer = TICRATE * 6
			return true
		end
	else
	S_StartSound(special.mo, sfx_itemup, toucher.player)
	P_GivePlayerRings(toucher.player, 10)
	end
end, MT_TENRING)