local PreEventTimer = 0
local PreEventText = ""
local PreEventSubText = ""

local function EventCalled(event, subtext, active)
	PreEventText = event
	PreEventSubText = subtext
	PreEventTimer = 100
	if active then
	S_StartSound(mo, sfx_s3k68)
	else
	S_StartSound(mo, sfx_s3kb8)
	end
end

//Event Nodifications
local function wintermode(var)
	if var.value==1
		EventCalled("\131It is starting to snow", "Winter Event has begun", true)
		P_SwitchWeather(2)
	else
		EventCalled("\3\133Snow has stopped falling", "Winter Event has ended", false	)
		P_SwitchWeather(0)
	end
end

//Event CVs
local OPWinterMode = CV_RegisterVar({
	name = "OP_Event_WinterMode",
	defaultvalue = "Off",
	flags = CV_CALL|CV_NOINIT|CV_NETVAR,
	PossibleValue = CV_OnOff,
	func = wintermode})

//Predefined Event System

addHook("ThinkFrame", function()
	if PreEventTimer > 0
		PreEventTimer = $-1
	end
end, "game")

addHook("MapLoad", function()
	if OPWinterMode.value==1 then
		P_SwitchWeather(2)
	end
end)

hud.add(function(v, player)
	local EventHudX = 160
	local EventHudY = 60
	if PreEventTimer > 0
		v.drawString(EventHudX, EventHudY, PreEventText, V_ALLOWLOWERCASE|V_SNAPTOTOP, "center")
		v.drawString(EventHudX, EventHudY+10, PreEventSubText, V_ALLOWLOWERCASE|V_SNAPTOTOP, "center")
	end
end, "game")

//Help Command
COM_AddCommand("OP_Events", function(p)
	CONS_Printf(p, "")
	CONS_Printf(p, "\139**********************")
	CONS_Printf(p, "	Online+ Events")
	CONS_Printf(p, "\139**********************")
	CONS_Printf(p, "OP_Event_WinterMode - Let it snow")
	CONS_Printf(p, "")
end, 0)