local queue = {}

local CustomNodifTimer = 0
local CustomNodifText = ""
local CustomNodifSubText = ""

rawset(_G, "CallCustomNodif", function(event, subtext, active)
	CustomNodifText = event
	CustomNodifSubText = subtext
	CustomNodifTimer = 100
	if active then
	S_StartSound(mo, sfx_s3k68)
	else
	S_StartSound(mo, sfx_s3kb8)
	end
end)

rawset(_G, "OPNodif", function(playername, message)
chatprint("\136[Online+]\128 "..playername.." "..message)
end)

addHook("ThinkFrame", do
	for p in players.iterate
		if p.opnodi == nil
			p.opnodi = {}
			p.opnodi.down = 0
		end
		
		if p.lives == 0 and p.opnodi.down == 0
		p.opnodi.down = 1
		OPNodif(p.name, "has ran out of lives")
		elseif p.lives == 1 and p.opnodi.down == 1
		p.opnodi.down = 0
		OPNodif(p.name, "is back in the game")
		elseif p.lives > 1 and p.opnodi.down == 1
		p.opnodi.down = 0
		end
		
	end
	
	if CustomNodifTimer > 0
		CustomNodifTimer = $-1
	end
end)

hud.add(function(v, p)
    for _,i in ipairs(queue)
        v.drawString(10, 4, i[1].."\n"..i[2], V_SMALLSCALEPATCH)
        v.draw(4, 4, v.getSprite2Patch(i[3], SPR2_XTRA, A), V_SMALLSCALEPATCH, v.getColormap(i[3], i[4]))
    end
	
	local CusNodifHudX = 160
	local CusNodifHudY = 60
	if CustomNodifTimer > 0
		v.drawString(CusNodifHudX, CusNodifHudY, CustomNodifText, V_ALLOWLOWERCASE|V_SNAPTOTOP, "center")
		v.drawString(CusNodifHudX, CusNodifHudY+10, CustomNodifSubText, V_ALLOWLOWERCASE|V_SNAPTOTOP, "center")
	end
end, "game")